#!/usr/bin/env python3

all = (
    "album",
    "albumartist",
    "albumartistsort",
    "artist",
    "artists",
    "artistsort",
    "barcode",
    "catalognumber",
    "date",
    "discnumber",
    "disctotal",
    "label",
    "media",
    "musicbrainz_albumartistid",
    "musicbrainz_albumid",
    "musicbrainz_artistid",
    "musicbrainz_releasegroupid",
    "musicbrainz_releasetrackid",
    "musicbrainz_trackid",
    "originaldate",
    "originalyear",
    "releasecountry",
    "releasestatus",
    "releasetype",
    "replaygain_album_gain",
    "replaygain_album_peak",
    "replaygain_track_gain",
    "replaygain_track_peak",
    "script",
    "title",
    "totaldiscs",
    "totaltracks",
    "tracknumber",
    "tracktotal",
)

album = {
    "artist": "albumartist",
    "album": "album",
    "type": "releasetype",
    "year": "originalyear",
    "release_date": "date",
    "original_date": "originaldate",
    "total_tracks": "tracktotal",
    "total_discs": "disctotal",
    "label": "label",
    "catalog_number": "catalognumber",
    "barcode": "barcode",
}

track = {
    "track_number": "tracknumber",
    "track_title": "title",
    "disc": "discnumber",
}

OPUS_example = {
    "artist": ["Rina Sawayama"],
    "tracktotal": ["13"],
    "title": ["Comme des garçons (Like the Boys)"],
    "script": ["Latn"],
    "originalyear": ["2020"],
    "barcode": ["192641421341"],
    "releasetype": ["album"],
    "totaldiscs": ["1"],
    "date": ["2020-04-17"],
    "albumartist": ["Rina Sawayama"],
    "musicbrainz_albumid": ["fe290c1d-594a-4fd2-b68c-60d2a0dc85da"],
    "media": ["Digital Media"],
    "originaldate": ["2020-04-17"],
    "replaygain_album_gain": ["-12.21 dB"],
    "replaygain_album_peak": ["1.000000"],
    "musicbrainz_releasegroupid": ["972644cd-431d-4001-8913-0b59b975cfbc"],
    "artistsort": ["Sawayama, Rina"],
    "musicbrainz_artistid": ["52494f9b-789d-4467-bcaf-9915e70cc8f6"],
    "musicbrainz_trackid": ["68d04240-ecfb-4eab-9be6-0fc681e71165"],
    "discnumber": ["1"],
    "album": ["SAWAYAMA"],
    "replaygain_track_gain": ["-12.09 dB"],
    "releasestatus": ["official"],
    "isrc": ["GBK3W1901218", "GBK3W1901220"],
    "releasecountry": ["AF"],
    "artists": ["Rina Sawayama"],
    "musicbrainz_releasetrackid": ["ee23cbce-5ec3-459f-991d-d700df55e587"],
    "label": ["Dirty Hit"],
    "tracknumber": ["4"],
    "albumartistsort": ["Sawayama, Rina"],
    "musicbrainz_albumartistid": ["52494f9b-789d-4467-bcaf-9915e70cc8f6"],
    "totaltracks": ["13"],
    "catalognumber": ["DH00704"],
    "replaygain_track_peak": ["1.000000"],
    "disctotal": ["1"],
}
M4A_EXAMPLE = {
    "title": ["Cyber Stockholm Syndrome"],
    "album": ["RINA"],
    "artist": ["Rina Sawayama"],
    "albumartist": ["Rina Sawayama"],
    "date": ["2017-10-27"],
    "albumartistsort": ["Sawayama, Rina"],
    "artistsort": ["Sawayama, Rina"],
    "musicbrainz_artistid": ["52494f9b-789d-4467-bcaf-9915e70cc8f6"],
    "musicbrainz_trackid": ["a6d7ccbe-a4ed-4107-9ff0-fbd74de2b9f9"],
    "musicbrainz_albumid": ["8ec44e86-1dca-4070-a6ca-bf16f9bc7307"],
    "musicbrainz_albumartistid": ["52494f9b-789d-4467-bcaf-9915e70cc8f6"],
    "musicbrainz_albumstatus": ["withdrawn"],
    "musicbrainz_albumtype": ["ep"],
    "tracknumber": ["8/8"],
    "discnumber": ["1/1"],
}
